package hero.util;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: BonitaLoadClassService.java,v 1.2 2004/11/10 17:10:50 mvaldes Exp $
*
--------------------------------------------------------------------------
*/

import java.io.File;
import javax.naming.Context;

import org.objectweb.jonas.common.JProp;
import org.objectweb.jonas.server.JClassLoader;
import org.objectweb.jonas.service.AbsServiceImpl;
import org.objectweb.jonas.service.ServiceException;


public class BonitaLoadClassService extends AbsServiceImpl implements BonitaLoadClassServiceMBean
{
    
    JClassLoader serviceLoader = null;
    
    private static final String JONAS_BASE = JProp.getJonasBase();
    private static final String JARS_DIR = JONAS_BASE + File.separator + "bonitaScripts";
    
    public void doInit(Context ctx) {
        
        try {
            serviceLoader = (JClassLoader) Thread.currentThread().getContextClassLoader();
            File f = new File(JARS_DIR);
           	serviceLoader.addURL(f.toURI().toURL());
        } catch (java.net.MalformedURLException e) {
            e.printStackTrace();
        }
        
    }
    
    public void doStart() throws ServiceException {
    }
    
    public void doStop() throws ServiceException {
    }   
    
}


